Package org.bgerp.app.servlet.jsp.tag

# Class NewInstanceTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
org.bgerp.app.servlet.jsp.tag.NewInstanceTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class NewInstanceTag extends javax.servlet.jsp.tagext.BodyTagSupport

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `context`

  ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

  `bodyContent`

  ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

  `id, pageContext`

  ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

  `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

  ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

  `EVAL_BODY_AGAIN`

  ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

  `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewInstanceTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addParameter(Object value)`
  `static Object[]`
  `convertObjectTypes(List<Object> params, Class<?>[] constructorParams)`
  Преобразует типы параметров конструктора, либо возвращает null.
  `int`
  `doEndTag()`
  `int`
  `doStartTag()`
  `void`
  `release()`
  `void`
  `setClazz(String clazz)`
  `void`
  `setScope(String scope)`
  `void`
  `setVar(String var)`

  ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

  `doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

  ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

  `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

  `getParent, setPageContext, setParent`

- ## Field Details

  - ### context

    protected String context

- ## Constructor Details

  - ### NewInstanceTag

    public NewInstanceTag()

- ## Method Details

  - ### setClazz

    public void setClazz(String clazz)

  - ### setVar

    public void setVar(String var)

  - ### setScope

    public void setScope(String scope)

  - ### addParameter

    public void addParameter(Object value)

  - ### doStartTag

    public int doStartTag() throws javax.servlet.jsp.JspException
    Specified by:
      `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
    Overrides:
      `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
    Throws:
      `javax.servlet.jsp.JspException`

  - ### doEndTag

    public int doEndTag() throws javax.servlet.jsp.JspException
    Specified by:
      `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
    Overrides:
      `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
    Throws:
      `javax.servlet.jsp.JspException`

  - ### convertObjectTypes

    public static Object[] convertObjectTypes(List<Object> params, Class<?>[] constructorParams)
    Преобразует типы параметров конструктора, либо возвращает null.
    Parameters:
      `params` - оригинальный массив параметров.
      `constructorParams` - типы параметров конструктора.
    Returns:

  - ### release

    public void release()
    Specified by:
      `release` in interface `javax.servlet.jsp.tagext.Tag`
    Overrides:
      `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`